
package de.ivu.elect.presentation.benutzerverwaltung.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.benutzerverwaltung.BenutzerEinsatzortCreateView;

public class BenutzerEinsatzortCreateMenuItemEntry extends AbstractBenutzerEinsatzortMenuItemEntry {

  private static final long serialVersionUID = 1L;


  public BenutzerEinsatzortCreateMenuItemEntry() {
    super();
  }

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.BENUTZER_EINSATZORT_CREATE;
  }


  @Override
  public String getTargetViewId() {
    return BenutzerEinsatzortCreateView.VIEW_ID;
  }

  @Override
  protected String getLabel() {
    return getMessage(getLabelKey(), getMeta().getEinzahlMessage());
  }

  @Override
  public String getLabelKey() {
    return "entity.create.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconCreate();
  }
}
